const ArrayPattern = require('./ArrayPattern.js');
const ArrowFunctionExpression = require('./ArrowFunctionExpression.js');
const AssignmentExpression = require('./AssignmentExpression.js');
const AssignmentPattern = require('./AssignmentPattern.js');
const AwaitExpression = require('./AwaitExpression.js');
const BinaryExpression = require('./BinaryExpression.js');
const BlockStatement = require('./BlockStatement.js');
const BreakStatement = require('./BreakStatement');
const CallExpression = require('./CallExpression.js');
const CatchClause = require('./CatchClause.js');
const ClassBody = require('./ClassBody.js');
const ClassDeclaration = require('./ClassDeclaration.js');
const ClassExpression = require('./ClassExpression.js');
const ConditionalExpression = require('./ConditionalExpression.js');
const DoWhileStatement = require('./DoWhileStatement');
const EmptyStatement = require('./EmptyStatement.js');
const ExportAllDeclaration = require('./ExportAllDeclaration.js');
const ExportDefaultDeclaration = require('./ExportDefaultDeclaration.js');
const ExportNamedDeclaration = require('./ExportNamedDeclaration.js');
const ExpressionStatement = require('./ExpressionStatement.js');
const ForStatement = require('./ForStatement.js');
const ForInStatement = require('./ForInStatement.js');
const ForOfStatement = require('./ForOfStatement.js');
const FunctionDeclaration = require('./FunctionDeclaration.js');
const FunctionExpression = require('./FunctionExpression.js');
const Identifier = require('./Identifier.js');
const IfStatement = require('./IfStatement.js');
const ImportDeclaration = require('./ImportDeclaration.js');
const LabeledStatement = require('./LabeledStatement.js');
const Literal = require('./Literal.js');
const LogicalExpression = require('./LogicalExpression.js');
const MemberExpression = require('./MemberExpression.js');
const MethodDefinition = require('./MethodDefinition');
const NewExpression = require('./NewExpression.js');
const ObjectExpression = require('./ObjectExpression.js');
const ObjectPattern = require('./ObjectPattern.js');
const Property = require('./Property.js');
const RestElement = require('./RestElement.js');
const ReturnStatement = require('./ReturnStatement.js');
const Statement = require('./shared/Statement.js');
const SwitchCase = require('./SwitchCase.js');
const SwitchStatement = require('./SwitchStatement.js');
const TaggedTemplateExpression = require('./TaggedTemplateExpression.js');
const TemplateElement = require('./TemplateElement.js');
const TemplateLiteral = require('./TemplateLiteral.js');
const ThisExpression = require('./ThisExpression.js');
const ThrowStatement = require('./ThrowStatement.js');
const UnaryExpression = require('./UnaryExpression.js');
const UpdateExpression = require('./UpdateExpression.js');
const VariableDeclarator = require('./VariableDeclarator.js');
const VariableDeclaration = require('./VariableDeclaration.js');
const WhileStatement = require('./WhileStatement.js');
const YieldExpression = require('./YieldExpression.js');
const Node = require('../Node');

module.exports =  {
	ArrayExpression: Node,
	ArrayPattern,
	ArrowFunctionExpression,
	AssignmentExpression,
	AssignmentPattern,
	AwaitExpression,
	BinaryExpression,
	BlockStatement,
	BreakStatement,
	CallExpression,
	CatchClause,
	ClassBody,
	ClassDeclaration,
	ClassExpression,
	ConditionalExpression,
	DoWhileStatement,
	EmptyStatement,
	ExportAllDeclaration,
	ExportDefaultDeclaration,
	ExportNamedDeclaration,
	ExpressionStatement,
	ForStatement,
	ForInStatement,
	ForOfStatement,
	FunctionDeclaration,
	FunctionExpression,
	Identifier,
	IfStatement,
	ImportDeclaration,
	LabeledStatement,
	Literal,
	LogicalExpression,
	MemberExpression,
	MethodDefinition,
	NewExpression,
	ObjectExpression,
	ObjectPattern,
	Property,
	RestElement,
	ReturnStatement,
	SwitchCase,
	SwitchStatement,
	TaggedTemplateExpression,
	TemplateElement,
	TemplateLiteral,
	ThisExpression,
	ThrowStatement,
	TryStatement: Statement,
	UnaryExpression,
	UpdateExpression,
	VariableDeclarator,
	VariableDeclaration,
	WhileStatement,
	YieldExpression
};
