const keys = Object.keys;

function blank () {
	return Object.create( null );
}

function forOwn ( object, func ) {
	Object.keys( object ).forEach( key => func( object[ key ], key ) );
}

function assign ( target, ...sources ) {
	sources.forEach( source => {
		for ( const key in source ) {
			if ( source.hasOwnProperty( key ) ) target[ key ] = source[ key ];
		}
	});

	return target;
}

module.exports.assign = assign;
module.exports.keys = keys;
module.exports.blank = blank;
module.exports.forOwn = forOwn;
