// import ModuleScope from '../ast/scopes/ModuleScope';

const absolutePath = /^(?:\/|(?:[A-Za-z]:)?[\\|/])/;
const relativePath = /^\.?\.\//;

function isAbsolute ( path ) {
	return absolutePath.test( path );
}

function isRelative ( path ) {
	return relativePath.test( path );
}

function normalize ( path ) {
	return path.replace( /\\/g, '/' );
}

module.exports.absolutePath = absolutePath;
module.exports.relativePath = relativePath;
module.exports.isAbsolute = isAbsolute;
module.exports.isRelative = isRelative;
module.exports.normalize = normalize;
module.exports.basename = require('path').basename;
module.exports.dirname = require('path').dirname;
module.exports.extname = require('path').extname;
module.exports.relative = require('path').relative;
module.exports.resolve = require('path').resolve;